Bible Analyzer 5.4 beta (Linux)

Issues and Comments on the Current Beta Versions
Post Reply
Tim
Site Admin
Posts: 1194
Joined: Sun Dec 07, 2008 1:14 pm

Bible Analyzer 5.4 beta (Linux)

Post by Tim » Mon Oct 14, 2019 12:01 pm

I have a preliminary beta ready to try on Linux. As mentioned under the Windows beta topic, this deb will require access to the Ubuntu 19.10 repositories. You will either have to have Ubuntu 19.10 installed or add the 19.10 repositories to your existing installation.

Here is the deb,
www.bibleanalyzer.com/bibleanalyzer_5.4-1_all.deb

See the Windows post for details about v5.4, but post any Linux issues here.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

darrel_jw
Posts: 217
Joined: Sun Dec 13, 2015 3:38 am

Re: Bible Analyzer 5.4 beta (Linux)

Post by darrel_jw » Mon Oct 14, 2019 2:58 pm

I have 5.4 installed on Ubuntu Mate 19.10 but it does not run. When I run it from the command line (sudo /opt/bibleanalyzer/ba-run.py) I get the error "ImportError: No module named adv". Is this part of BA or Python or ...?

darrel_jw
Posts: 217
Joined: Sun Dec 13, 2015 3:38 am

Re: Bible Analyzer 5.4 beta (Linux)

Post by darrel_jw » Mon Oct 14, 2019 3:05 pm

I can see advSearch.py in the zip file but no adv module. Am I missing something?

Tim
Site Admin
Posts: 1194
Joined: Sun Dec 07, 2008 1:14 pm

Re: Bible Analyzer 5.4 beta (Linux)

Post by Tim » Mon Oct 14, 2019 5:45 pm

Well...it appears Debian/Ubuntu has completely removed all wxPython builds based on Python 2.7. All they have are the Python 3.7 builds and Bible Analyzer 5.4 is based on 2.7. I am in the process of updating all the code to 3.7, but it is not ready yet.

(One can say what they want about Windows, but Microsoft does stand by their previous OSs and remains backward compatible. One can still run Windows programs built for Win 95 or even Win 3.1 from 30 years ago. Linux (and Mac to some extent) just cut things off with essentially no backward compatibility.)

Anyway, there may be a way to run the current 5.4 Linux if you install this build from the wxPython developers,
https://extras.wxpython.org/wxPython4/e ... x86_64.whl
(This is what I used to install it on my system to develop with. This is over 100MB file though.)

This is a whl file. You can install with pip. If you have any wxpython installed, you must remove it before installing this one. Its called python-wxgtk4.0 in Ubuntu.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

darrel_jw
Posts: 217
Joined: Sun Dec 13, 2015 3:38 am

Re: Bible Analyzer 5.4 beta (Linux)

Post by darrel_jw » Mon Oct 14, 2019 6:25 pm

There still appears to be an issue with adv. I uninstalled python-wxgtk4.0, installed the new file with pip, then had to reinstall wxgtk stuff in order to install BA 5.4, ran BA and got the same message regarding adv.

Tim
Site Admin
Posts: 1194
Joined: Sun Dec 07, 2008 1:14 pm

Re: Bible Analyzer 5.4 beta (Linux)

Post by Tim » Mon Oct 14, 2019 7:13 pm

Send me a copy of the relevant output.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

darrel_jw
Posts: 217
Joined: Sun Dec 13, 2015 3:38 am

Re: Bible Analyzer 5.4 beta (Linux)

Post by darrel_jw » Mon Oct 14, 2019 7:26 pm

Is this what you want?

sudo /opt/bibleanalyzer/ba-run.py
[sudo] password for darrel:
2.7.17rc1 (default, Oct 10 2019, 10:26:01)
[GCC 9.2.1 20191008]
Traceback (most recent call last):
File "/opt/bibleanalyzer/ba-run.py", line 6, in <module>
import analyzer5
File "/opt/bibleanalyzer/ba-540.zip/analyzer5.py", line 15, in <module>
ImportError: No module named adv

Tim
Site Admin
Posts: 1194
Joined: Sun Dec 07, 2008 1:14 pm

Re: Bible Analyzer 5.4 beta (Linux)

Post by Tim » Mon Oct 14, 2019 8:35 pm

Here is the module,
http://www.BibleAnalyzer.com/files/adv.py

Put it in the Bible Analyzer zip file and see what happens.

This is a wx module but it should work in the zip.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

darrel_jw
Posts: 217
Joined: Sun Dec 13, 2015 3:38 am

Re: Bible Analyzer 5.4 beta (Linux)

Post by darrel_jw » Mon Oct 14, 2019 11:43 pm

Can you save adv.py as a zip file? It will not download as-is. Thanks!

Tim
Site Admin
Posts: 1194
Joined: Sun Dec 07, 2008 1:14 pm

Re: Bible Analyzer 5.4 beta (Linux)

Post by Tim » Tue Oct 15, 2019 1:10 am

Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

Post Reply